---
sidebar_label: CDPSessionEvent
---

# CDPSessionEvent namespace

Events that the CDPSession class emits.

#### Signature:

```typescript
export declare namespace CDPSessionEvent
```

## Variables

| Variable                                                          | Description |
| ----------------------------------------------------------------- | ----------- |
| [SessionAttached](./puppeteer.cdpsessionevent.sessionattached.md) |             |
| [SessionDetached](./puppeteer.cdpsessionevent.sessiondetached.md) |             |
